$dark-blue: #344384;
$yellow: #FFC800;
$light-blue: #0099DD;
$font-weight-bold: 700;
$box-shadow: 0px 0px 20px 5px rgba(0,0,0,0.05);
$border-radius: 14px;
$sm: 576px;
$md: 768px;


.navi-question-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
  .navi-h1 {
    color: $dark-blue;
    margin-top: 20px;
    font-weight: $font-weight-bold;
  }

}

.navi-all-answers-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: auto;
  max-width: 1200px;


  .navi-single-answer {
    display: flex;

    align-items: center;
    justify-content: center;
    margin: 10px;
    box-shadow: $box-shadow;
    border-radius: $border-radius;
    padding: 20px;
    width: 300px;

    .navi_answer_icon {
      max-width: 70px;
      margin-right: 20px;

      svg {
        max-width: 70px;
      }

    }

    @media (min-width: $md) {
      flex-direction: column;
      padding: 40px;
      min-height: 160px;
      margin: 20px;

      &.even {
        flex-basis: 33%;
      }


      .navi_answer_icon {
        max-width: 160px;
        max-height: 100px;
        margin-bottom: 20px;
        margin-right: 0;

        svg {
          max-width: 160px;
        }

      }
    }





    .navi_answer_text {
      font-weight: $font-weight-bold;
      color: $dark-blue;
      text-align: center;
    }
  }
}

.button-wrapper {
  margin-top: 40px;
}

@keyframes move_wave {
  0% {
    transform: translateX(0) translateZ(0) scaleY(1)
  }
  50% {
    transform: translateX(-25%) translateZ(0) scaleY(0.55)
  }
  100% {
    transform: translateX(-50%) translateZ(0) scaleY(1)
  }
}


.navi-wave {
  position: relative;
  height: 120px;

  overflow: hidden;
  
  @media (min-width: $sm) {
    height: 200px;

  }

  @media (min-width: $md) {
    height: 200px;

    .navi-wave-background {
      height: 30px;
      background-color: $dark-blue;
      position: absolute;
      bottom: 0;
      width: 100%;
    }

    .wave {
      max-height: 200px;
      max-width: 100%;
    }
  }


 .wave-bottom {
   opacity: 30%;
   //animation: move_wave 15s linear infinite;
 }

  .wave-top {
    //animation: move_wave 10s linear infinite;

  }

  .wave-middle {
    opacity: 60%;
  }

  .wave {
    position: absolute;
    bottom: 0;
    width: 200%;
  }
}

